Package fr.gouv.vitam.batch.report.model.entry

# Class TraceabilityReportEntry

java.lang.Object
fr.gouv.vitam.batch.report.model.entry.TraceabilityReportEntry

public class TraceabilityReportEntry extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EXTRA_DATA`
  `static final String`
  `FILE_ID`
  `static final String`
  `MESSAGE`
  `static final String`
  `OFFERS_HASHES`
  `static final String`
  `OPERATION_ID`
  `static final String`
  `OPERATION_TYPE`
  `static final String`
  `SECURED_HASH`
  `static final String`
  `STATUS`
  `static final String`
  `TRACEABILITY_ERROR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TraceabilityReportEntry(String operationId, String operationType, String status, String message, TraceabilityError error, String securedHash, Map<String,String> offersHashes, String fileId, Map<String,Object> extraData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceabilityReportEntry`
  `appendExtraData(Map<String,Object> map)`
  `TraceabilityError`
  `getError()`
  `Map<String,Object>`
  `getExtraData()`
  `String`
  `getFileId()`
  `String`
  `getMessage()`
  `Map<String,String>`
  `getOffersHashes()`
  `String`
  `getOperationId()`
  `String`
  `getOperationType()`
  `String`
  `getSecuredHash()`
  `String`
  `getStatus()`
  `TraceabilityReportEntry`
  `setError(TraceabilityError error)`
  `TraceabilityReportEntry`
  `setExtraData(Map<String,Object> extraData)`
  `TraceabilityReportEntry`
  `setFileId(String fileId)`
  `TraceabilityReportEntry`
  `setMessage(String message)`
  `TraceabilityReportEntry`
  `setOffersHashes(Map<String,String> offersHashes)`
  `TraceabilityReportEntry`
  `setOperationId(String operationId)`
  `TraceabilityReportEntry`
  `setOperationType(String operationType)`
  `TraceabilityReportEntry`
  `setSecuredHash(String securedHash)`
  `TraceabilityReportEntry`
  `setStatus(String status)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OPERATION_ID

    public static final String OPERATION_ID
    See Also:
      - Constant Field Values

  - ### OPERATION_TYPE

    public static final String OPERATION_TYPE
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final String STATUS
    See Also:
      - Constant Field Values

  - ### FILE_ID

    public static final String FILE_ID
    See Also:
      - Constant Field Values

  - ### MESSAGE

    public static final String MESSAGE
    See Also:
      - Constant Field Values

  - ### TRACEABILITY_ERROR

    public static final String TRACEABILITY_ERROR
    See Also:
      - Constant Field Values

  - ### SECURED_HASH

    public static final String SECURED_HASH
    See Also:
      - Constant Field Values

  - ### OFFERS_HASHES

    public static final String OFFERS_HASHES
    See Also:
      - Constant Field Values

  - ### EXTRA_DATA

    public static final String EXTRA_DATA
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TraceabilityReportEntry

    public TraceabilityReportEntry(String operationId, String operationType, String status, String message, TraceabilityError error, String securedHash, Map<String,String> offersHashes, String fileId, Map<String,Object> extraData)

- ## Method Details

  - ### getOperationId

    public String getOperationId()

  - ### setOperationId

    public TraceabilityReportEntry setOperationId(String operationId)

  - ### getOperationType

    public String getOperationType()

  - ### setOperationType

    public TraceabilityReportEntry setOperationType(String operationType)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public TraceabilityReportEntry setStatus(String status)

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public TraceabilityReportEntry setMessage(String message)

  - ### getSecuredHash

    public String getSecuredHash()

  - ### setSecuredHash

    public TraceabilityReportEntry setSecuredHash(String securedHash)

  - ### getOffersHashes

    public Map<String,String> getOffersHashes()

  - ### setOffersHashes

    public TraceabilityReportEntry setOffersHashes(Map<String,String> offersHashes)

  - ### getFileId

    public String getFileId()

  - ### setFileId

    public TraceabilityReportEntry setFileId(String fileId)

  - ### getExtraData

    public Map<String,Object> getExtraData()

  - ### setExtraData

    public TraceabilityReportEntry setExtraData(Map<String,Object> extraData)

  - ### appendExtraData

    public TraceabilityReportEntry appendExtraData(Map<String,Object> map)

  - ### getError

    public TraceabilityError getError()

  - ### setError

    public TraceabilityReportEntry setError(TraceabilityError error)